[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Sarge -> Etch upgrade issue

Alexander Schmehl wrote:
> * Steve Langasek <vorlon@debian.org> [060908 01:46]:
> > > 1) sarge:
> > > 1.1) apt-get dist-upgrade -> upgrading to etch
> [..]
> > Yes, I can see that apt Recommends: debian-archive-keyring and Suggests:
> > gnupg.  Given that apt should be doing secure archives by default now, the
> > Suggests: seems like the wrong relationship; I think this warrants a bug on
> > apt, no?
> Shouldn't the Recommends: debian-archive-keyring be enought?  AFAIK
> the Release Notes recommend using aptitude instead of apt-get.  And
> aptitude respects recommends should pull in debian-archive-keyring,
> which depends on gnupg.

The release notes for sarge recommended aptitude over apt-get due
to some strange problems with apt-get alone.  Will this still be
the case for etch or rather the sarge -> etch upgrade?



The good thing about standards is that there are so many to choose from.
		-- Andrew S. Tanenbaum

Reply to: